commit 6a936be4adf3316d2ac3cf89e794f21f9fb40114
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Oct 15 02:18:36 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 8227ac807e0..fd707dada89 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,14 @@
+2021-10-14  Vladimir N. Makarov  <vmakarov@redhat.com>
+
+	PR rtl-optimization/102627
+	* lra-constraints.c (split_reg): Use at least natural mode of hard reg.
+
+2021-10-14  John David Anglin  <danglin@gcc.gnu.org>
+
+	* config/pa/pa.md (cbranchsf4): Disable if TARGET_SOFT_FLOAT.
+	(cbranchdf4): Likewise.
+	Add missing move patterns for TARGET_SOFT_FLOAT.
+
 2021-10-13  Iain Sandoe  <iain@sandoe.co.uk>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 4f146eef94c..86db4aa1738 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211014
+20211015
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 9c946c0a6fb..d5a5d1f0119 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,8 @@
+2021-10-14  Vladimir N. Makarov  <vmakarov@redhat.com>
+
+	PR rtl-optimization/102627
+	* gcc.target/i386/pr102627.c: New test.
+
 2021-10-11  Andrew Pinski  <apinski@marvell.com>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index e495becb449..5895681d9c9 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,17 @@
+2021-10-14  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-07-22  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/101583
+	* include/bits/hashtable.h (_Hashtable): Replace mixin with
+	_Enable_default_ctor. Construct it explicitly in all
+	non-forwarding, non-defaulted constructors.
+	* testsuite/23_containers/unordered_map/cons/default.cc: Check
+	non-default constructors can be used.
+	* testsuite/23_containers/unordered_set/cons/default.cc:
+	Likewise.
+
 2021-10-13  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

